########################################################### {COPYRIGHT-TOP} ####
# IBM Confidential
# Jazz for Service Management - Install
#
# (C) Copyright IBM Corp. 2013  All Rights Reserved.
#
# The source code for this program is not published or otherwise  
# divested of its trade secrets, irrespective of what has been 
# deposited with the U.S. Copyright Office.
########################################################### {COPYRIGHT-END} ####

import sys

global AdminConfig
global AdminControl

#-----------------------------------------
# Usage
#-----------------------------------------
def printUsage():
    print "Usage:  <was_profile_dir>/bin/wsadmin -lang jython -f addUserRole.py <role> <username>"
    print "   where <was_profile_dir>   is your was profile directory"
    print "         <username>          is the user to associate with the administrative role"
    print "         <role>              is the administrative role you want to associate the user with"
    print "         [<role>             is another administrative role you want to associate the user with"
    print "           ... ]             is another administrative role you want to associate the user with"


#---------------------------------------------
# AddUserTole, lifted from the addUserRole.py
#---------------------------------------------
def addUserRole( userRoleInfoList , role , username ):
  roleFound = 0
  for userRole in userRoleInfoList:
    print "userRole-" + userRole
    if (userRole.startswith(role + "=")):
        print "Found the role = " + role
        roleFound = 1
        emptyRole = role + "=[]"
        if (len(userRole) == len(emptyRole)):
            print "User does not have this role."
            AdminTask.mapUsersToAdminRole('-roleName ' + role + ' -userids ' + username)
            AdminConfig.save()
        else:
            print "User has this role already."
  if ( not roleFound ):
    print "User does not have " + role + " role."
    AdminTask.mapUsersToAdminRole(['-roleName',  role  , '-userids', [ username ] ] )
    AdminConfig.save()
	


###############################################################################
# Main block -- script execution starts here
###############################################################################

# Verify the correct number or parameters was passed in
if not (len(sys.argv) >= 2):
   sys.stderr.write("Invalid number of arguments\n")
   printUsage()
   sys.exit(101)

# retrieve the user
username = sys.argv[0]
 
# retrieve the roles
roles = sys.argv[1:]

userData = AdminTask.searchUsers('-uid ' + username ).split(lineSeparator)
if ( len(userData) != 1 ):
    sys.sterr.write("Invalid username.")
    sys.exit(101)

userRoleInfo = AdminTask.listAuthorizationGroupsForUserID('-userid ' + username)
userRoleInfoList = userRoleInfo.replace("{", "").replace("}", "").replace(" ", "").split(",")

for role in roles:
  addUserRole( userRoleInfoList , role , username )
