#! /bin/sh

####################################################
#
# IBM Confidential
#
# (C) Copyright IBM Corp. 2012  All Rights Reserved.
#
####################################################

if [ $# -ne 2 ]
then
	echo "Usage: $0 <database_name> <user_name>"
	echo ""
	echo "This script creates an sql script for creating IBM Cognos Content Store database."
	echo "The script will be created in the current directory with the name:"
	echo "tcr_create_db2_cs.sql"
	echo ""	
	echo "  <database_name>      - The name of the database that will be created"
	echo "                         and that will be used as IBM Cognos Content Store."
	echo "                         The database name can have up to 8 characters."
	echo "                         To avoid potential problems, do not use"
	echo "                         special characters @, #, and $ in a database name." 
	echo "  <user_name>          - The user ID used to connect to the Content Store."
	echo ""
	echo "Use this syntax to run the sql script:"
	echo "  db2 -vtf <sqlscript_filename>"
	echo ""
	echo "To run the sql script, log in as a user with sufficient privileges to access and create the database."
	echo "For the Tivoli Common Reporting to function, a database user account must exist in the system."
	echo ""
	echo "Example:"
	echo ""
	echo "The following command creates the tcr_create_db2_cs.sql script, "
	echo "which creates a database named tcrcontentstore in DB2 along with all the tablespaces, bufferpools, "
	echo "and schemas required by IBM Cognos content database."
	echo "Then, the sql script grants all the required privileges for the tcruser user account."
	echo ""
	echo "  TCR_create_contentstore_database_db2.bat tcrcontentstore tcruser"
	echo ""
	echo "After running the command, you can run the generated sql script by typing the following command: "
	echo "  db2 -vtf tcr_create_db2_cs.sql"
	exit 1
fi

dbName=$1
userName=$2
sqlScriptFileName=tcr_create_dummy_table.sql

echo "CONNECT TO $dbName;" >$sqlScriptFileName
echo "CREATE TABLE JAZZSMTCR ( Name varchar(30));" >>$sqlScriptFileName
echo "CONNECT RESET;" >>$sqlScriptFileName
echo The $sqlScriptFileName script was created