#!/bin/sh

#/********************************************************** {COPYRIGHT-TOP} ****
# * IBM Confidential
# * Jazz for Service Management - Install
# *
# * (C) Copyright IBM Corp. 2013  All Rights Reserved.
# *
# * The source code for this program is not published or otherwise  
# * divested of its trade secrets, irrespective of what has been 
# * deposited with the U.S. Copyright Office.
# ********************************************************** {COPYRIGHT-END} ***/

DB_USER_NAME="${1}"
DB2_INSTALL_LOC="${2}"
SQL_FILE_LOC="${3}"

CURRENT_USER=`whoami`
CURRENT_USER_ID=`id -u $CURRENT_USER`

# If current user is same as the database user then /bin/su not required to run the command
if [ "$CURRENT_USER" = "$DB_USER_NAME" ]; then
	echo "If current user is same as the database user then /bin/su not required to run the command"
	${DB2_INSTALL_LOC}/bin/db2 -vtf ${SQL_FILE_LOC}
    RC=$?
    exit $RC
fi

if [ "$CURRENT_USER_ID" = "0" ]; then
	echo "Current user is a root user and hence use of /bin/su to run the command"
	/bin/su - ${DB_USER_NAME} -c "${DB2_INSTALL_LOC}/bin/db2 -vtf ${SQL_FILE_LOC}"
	RC=$?
	exit $RC
else
	# If current user is not same as the database user and also not as a root user, then current user can't run cognos content store script
	echo "ERROR :	$CURRENT_USER [uid=$CURRENT_USER_ID] does not have root privileges. The user must have root privileges for running the script."
    exit 1
fi